POST /fal-ai/flux-1/dev/image-to-image
Method: POSTEndpoint: /fal-ai/flux-1/dev/image-to-image
Public URL of the original image. (Required)
Request Parameters
Header Parameters
text
Content-Type
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
image_url
string
Required
Public URL of the original image. (Required)
Example:
https://fal.media/files/koala/Chls9L2ZnvuipUTEwlnJC.png
prompt
string
Required
// provider-specific example normalized for English documentation
Example:
a cat dressed as a wizard with a background of a mystic forest.
strength
number
Optional
// provider-specific example normalized for English documentation
>= 0.01
<= 1
Default Value:
0.95
num_inference_steps
integer
Optional
// provider-specific example normalized for English documentation
>= 10
<= 50
Default Value:
40
guidance_scale
number
Optional
// provider-specific example normalized for English documentation
>= 1
<= 20
Default Value:
3.5
seed
integer
|
null
Optional
// provider-specific example normalized for English documentation
sync_mode
boolean
Optional
// provider-specific example normalized for English documentation
Default Value:
false
num_images
integer
Optional
// provider-specific example normalized for English documentation
>= 1
<= 4
Default Value:
1
enable_safety_checker
boolean
Optional
// provider-specific example normalized for English documentation
Default Value:
true
Example
{
"image_url"
:
"https://fal.media/files/koala/Chls9L2ZnvuipUTEwlnJC.png"
,
"prompt"
:
"a cat dressed as a wizard with a background of a mystic forest."
,
"strength"
:
0.95
,
"num_inference_steps"
:
40
,
"guidance_scale"
:
3.5
,
"seed"
:
0
,
"sync_mode"
:
false
,
"num_images"
:
1
,
"enable_safety_checker"
:
true
}Example Request
Shell
bash
curl --location --request POST '/fal-ai/flux-1/dev/image-to-image' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"image_url": "https://fal.media/files/koala/Chls9L2ZnvuipUTEwlnJC.png",
"prompt": "a cat dressed as a wizard with a background of a mystic forest.",
"strength": 0.95,
"num_inference_steps": 40,
"guidance_scale": 3.5,
"seed": 0,
"sync_mode": false,
"num_images": 1,
"enable_safety_checker": true
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}